Bug 493107 - update csound to 5.10.1
update csound to 5.10.1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: csound (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 473185
  Show dependency treegraph
 
Reported: 2009-03-31 12:33 EDT by Peter Robinson
Modified: 2009-05-12 06:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.10.1-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 06:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-03-31 12:33:51 EDT
The version of csound in rawhide is ancient which requires a fork for olpc. I've spent some time over the last day or so to update alot of the Fedora patches that are still relevant from both the devel branch and the 5.07 build in the OLPC-2 branch.

The resulting spec file and srpm can be found here:
SRPM: http://pbrobinson.fedorapeople.org/olpc/csound/csound-5.10.1-1.fc10.src.rpm
SPEC: http://pbrobinson.fedorapeople.org/olpc/csound/csound.spec

There is one outstanding issue with the build that I can't seem to get right. There is a patch in the OLPC-2 branch called csound-5.07.0-version-libcsnd.patch to fix the name, location and sym linking of the libcsnd.so library. The version I currently have that will patch against 5.10.1 is called csound-5.10.1-version-libcsnd.patch3 and they can be both found here http://pbrobinson.fedorapeople.org/olpc/csound/

If you can assist with the one problem above I can deal with the rest of the building etc.
Comment 1 Peter Robinson 2009-04-19 17:02:51 EDT
Ping?
Comment 2 Dan Williams 2009-05-11 16:59:04 EDT
Mind if I orphan it and you can pick it up?
Comment 3 Dan Williams 2009-05-11 17:00:44 EDT
orphaned; feel free to pick it up:

https://admin.fedoraproject.org/pkgdb/packages/name/csound
Comment 4 Fedora Admin XMLRPC Client 2009-05-11 17:10:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Peter Robinson 2009-05-11 17:12:44 EDT
(In reply to comment #2)
> Mind if I orphan it and you can pick it up?  

Not at all but if you have 5 mins to check over the patches (primarily the python one) that would be very useful :)
Comment 6 Peter Robinson 2009-05-12 06:44:41 EDT
There's now a build in F12/devel.

Note You need to log in before you can comment on or make changes to this bug.